<?php

namespace Assetdocs\Facility\Repositories\Eloquent;

use Assetdocs\Facility\Interfaces\FacilityRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class FacilityRepository extends BaseRepository implements FacilityRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('assetdocs.facility.facility.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('assetdocs.facility.facility.model');
    }
}
