<?php

namespace Assetdocs\Facility\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FacilityListTransformer extends TransformerAbstract
{
    public function transform(\Assetdocs\Facility\Models\Facility $facility)
    {
        return [
            'id'                => $facility->getRouteKey(),
            'id'                => $facility->id,
            'name'              => $facility->name,
            'division_id'       => $facility->division_id,
            'clientid'          => $facility->clientid,
            'image'             => $facility->image,
            'created_at'        => $facility->created_at,
            ')'                 => $facility->),
            'updated_at'        => $facility->updated_at,
            'deleted_at'        => $facility->deleted_at,
            'PRIMARY'           => $facility->PRIMARY,
            'status'            => trans('app.'.$facility->status),
            'created_at'        => format_date($facility->created_at),
            'updated_at'        => format_date($facility->updated_at),
        ];
    }
}